Why Luminar Neo Installer asks me to download Rosetta Stone to install?

Answered

Comments

1 comment

  • Avatar
    Alina Skylum

    Hello Florian,

    Luminar Neo is fully compatible with M1 processors. Once you install it, Rosetta won't be needed, however, it is required when you install Luminar Neo. We have already reported this to our development team, so hopefully we can develop a universal installer in future. Thank you for bringing this up to our attention.

    0
    Comment actions Permalink

Please sign in to leave a comment.